View Issue Details

IDProjectCategoryView StatusLast Update
0004271SymmetricDSImprovementpublic2020-02-14 12:44
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.10Fixed in Version3.10.10 
Summary0004271: Make JDBC JAR files provided in "lib" directory
DescriptionSome of the newer driver JAR files are getting put in web/WEB-INF/lib, which would also get put in a WAR. As a result, the JAR files are also getting put in the android distribution.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 56c1d96f

2020-02-04 09:03:00

admin

Details Diff
0004271: Make JDBC JAR files provided in "lib" directory
0004271
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File

SymmetricDS: 3.10 3cec047d

2020-02-05 08:12:12

admin

Details Diff
0004271: remove symmetric-util, bc dependencies
0004271
mod - symmetric-wrapper/build.gradle Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: 3.10 6a95ccee

2020-02-05 13:26:01

admin

Details Diff
0004271: allow lazy load of google bigquery
0004271
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/bigquery/BigQueryPlatformFactory.java Diff File

SymmetricDS: 3.10 b2b2ee07

2020-02-11 16:41:56

admin

Details Diff
0004271: Make JDBC JAR files provided in "lib" directory
0004271
mod - symmetric-assemble/common.gradle Diff File

SymmetricDS: 3.10 ecf9cd2a

2020-02-12 11:47:06

Philip Marzullo

Details Diff
0004271: Make JDBC JAR files provided in "lib" directory
0004271
mod - symmetric-assemble/common.gradle Diff File

Issue History

Date Modified Username Field Change
2020-02-04 09:01 elong New Issue
2020-02-04 09:01 elong Status new => assigned
2020-02-04 09:01 elong Assigned To => elong
2020-02-04 09:08 elong Status assigned => resolved
2020-02-04 09:08 elong Resolution open => fixed
2020-02-04 09:08 elong Fixed in Version => 3.10.10
2020-02-04 10:00 admin Changeset attached => SymmetricDS 3.10 56c1d96f
2020-02-05 09:00 admin Changeset attached => SymmetricDS 3.10 3cec047d
2020-02-05 14:00 admin Changeset attached => SymmetricDS 3.10 6a95ccee
2020-02-11 17:00 admin Changeset attached => SymmetricDS 3.10 b2b2ee07
2020-02-12 12:00 Changeset attached => SymmetricDS 3.10 ecf9cd2a
2020-02-14 12:44 elong Status resolved => closed